
const fetch = require('node-fetch'); // Node.js 18以下版本需要安装 node-fetch
const config  = require('../../../etc/config.json');
const redis_help = require('../../use_redis');
const helper = require('../../helper');
const CMD = {}

CMD.switchApp = async function(yw_id) {
    // let res =  await require('./yw_login').yw_login()
    // console.log("res:",res.headers)
    let OPENSESSID = await redis_help.getKeyValue("OPENSESSID")
    let time = helper.getCurrentUnixTimestamp()
    return await fetch("https://open.yuewen.com/api/account/switchApp", {
        "headers": {
          "accept": "application/json, text/plain, */*",
          "accept-language": "zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6",
          "content-type": "application/json",
          "priority": "u=1, i",
          "sec-ch-ua": "\"Microsoft Edge\";v=\"131\", \"Chromium\";v=\"131\", \"Not_A Brand\";v=\"24\"",
          "sec-ch-ua-mobile": "?0",
          "sec-ch-ua-platform": "\"Windows\"",
          "sec-fetch-dest": "empty",
          "sec-fetch-mode": "cors",
          "sec-fetch-site": "same-origin",
          "cookie": `Hm_lvt_990f9ab9737a266517417cc2949bb3f4=${time}; csrfToken=9EeGTClKZ3EJFZjIQDcVozZj; OPENSESSID=${OPENSESSID}; yw_open_token=6784835e6c51a; is_read_notice=6784835e6c51a; sidebarStatus=0`,
          "Referer": "https://open.yuewen.com/new/library",
          "Referrer-Policy": "strict-origin-when-cross-origin"
        },
        "body": `{\"coopid\":24,\"appid\":${yw_id}}`,
        "method": "POST"
      });
}

module.exports = CMD;